Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface CustomerHome

All Superinterfaces:
  EJBHome, Remote

public interface CustomerHome
extends EJBHome

The home interface for the Customer entity bean. Use this class to create, remove, and find Customer entity beans.

Method Summary
`Customer` | `create(CustomerPk customerPk)` Create a new Customer entity bean using the primary key
`Customer` | `findByPrimaryKey(CustomerPk customerPk)` Find an Customer entity bean using the primary key
`Customer` | `findByUserIdentifier(String identifier)` Access existing customer -- if not found, then try to create a new one.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public Customer create(CustomerPk customerPk)
                    throws CreateException,
                           RemoteException

  Create a new Customer entity bean using the primary key

  Throws:
    `CreateException`
    `RemoteException`

### findByPrimaryKey

    public Customer findByPrimaryKey(CustomerPk customerPk)
                              throws RemoteException,
                                     FinderException

  Find an Customer entity bean using the primary key

  Returns:
    Remote interface to Customer
  Throws:
    `FinderException` - if cannot locate named customer
    `RemoteException`

### findByUserIdentifier

    public Customer findByUserIdentifier(String identifier)
                                  throws RemoteException,
                                         FinderException

  Access existing customer -- if not found, then try to create a new one.

  Parameters:
    `identifier` - Customer name
  Returns:
    Remote interface to Customer
  Throws:
    `CreateException` - if cannot create new customer of that name
    `RemoteException`
    `FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved